Endpoints
constEndpoints:object
Defined in: package/src/utils/endpoints.ts:3
Type Declaration
Section titled “Type Declaration”channel()
Section titled “channel()”channel(
channelId):`https://discord.com/api/v10/channels/${string}`
- GET
/channels/{channelId}
Parameters
Section titled “Parameters”channelId
Section titled “channelId”string
Channel ID
Returns
Section titled “Returns”`https://discord.com/api/v10/channels/${string}`
channelMessages()
Section titled “channelMessages()”channelMessages(
channelId):`https://discord.com/api/v10/channels/${string}/messages`
- GET
/channels/{channelId}/messages - POST
/channels/{channelId}/messages
Parameters
Section titled “Parameters”channelId
Section titled “channelId”string
Channel ID
Returns
Section titled “Returns”`https://discord.com/api/v10/channels/${string}/messages`
gateway()
Section titled “gateway()”gateway():
"https://discord.com/api/v10/gateway"
- GET
/gateway
Returns
Section titled “Returns”"https://discord.com/api/v10/gateway"
gatewayBot()
Section titled “gatewayBot()”gatewayBot():
"https://discord.com/api/v10/gateway/bot"
- GET
/gateway/bot
Returns
Section titled “Returns”"https://discord.com/api/v10/gateway/bot"
guild()
Section titled “guild()”guild(
guildId):`https://discord.com/api/v10/guilds/${string}`
- GET
/guilds/{guildId} - PATCH
/guilds/{guildId}
Parameters
Section titled “Parameters”guildId
Section titled “guildId”string
Guild ID
Returns
Section titled “Returns”`https://discord.com/api/v10/guilds/${string}`
guildPreview()
Section titled “guildPreview()”guildPreview(
guildId):`https://discord.com/api/v10/guilds/${string}/preview`
- GET
/guilds/{guildId}/preview
Parameters
Section titled “Parameters”guildId
Section titled “guildId”string
Guild ID
Returns
Section titled “Returns”`https://discord.com/api/v10/guilds/${string}/preview`
user()
Section titled “user()”user(
userId?):`https://discord.com/api/v10/users/${string}`
- GET
/users/{userId}
Parameters
Section titled “Parameters”userId?
Section titled “userId?”string = "@me"
User ID (default: “@me”)
Returns
Section titled “Returns”`https://discord.com/api/v10/users/${string}`